// /pages/api/talas_v5_DB/gisLines/readGisLines.js
import getPool from "../../../../utils/mysqlPool"; // Singleton-Pool importieren

export default async function handler(req, res) {
  const pool = getPool(); // Singleton-Pool verwenden
  let connection;

  if (req.method !== "GET") {
    return res.status(405).json({ error: "Nur GET Methode erlaubt" });
  }

  const query = "SELECT * FROM gis_lines;";

  try {
    // Verbindung aus dem Pool holen
    connection = await pool.getConnection();
    // Abfrage ausführen
    const [results] = await connection.query(query);

    // Immer 200 senden, auch wenn keine Daten vorhanden sind
    res.status(200).json(results || []);
  } catch (error) {
    console.error("Fehler beim Abrufen der gis_lines:", error);
    res.status(500).json({ error: "Fehler beim Abrufen der gis_lines" });
  } finally {
    if (connection) connection.release(); // Verbindung freigeben
  }
}
